texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo/texi2html/test manage_test_archives.sh


From: Patrice Dumas
Subject: texinfo/texi2html/test manage_test_archives.sh
Date: Sat, 28 Jul 2012 16:31:00 +0000

CVSROOT:        /sources/texinfo
Module name:    texinfo
Changes by:     Patrice Dumas <pertusus>        12/07/28 16:31:00

Added files:
        texi2html/test : manage_test_archives.sh 

Log message:
        Add a script to manage test results and big manuals as tarballs.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/texi2html/test/manage_test_archives.sh?cvsroot=texinfo&rev=1.1

Patches:
Index: manage_test_archives.sh
===================================================================
RCS file: manage_test_archives.sh
diff -N manage_test_archives.sh
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ manage_test_archives.sh     28 Jul 2012 16:30:58 -0000      1.1
@@ -0,0 +1,41 @@
+#! /bin/sh
+
+command=$1
+
+if [ "z$command" = 'z' ]; then
+  echo "Need something to do (pack/unpack/get)"
+  exit 1
+fi
+
+VERSION=`grep '^VERSION = ' ../../Makefile | sed 's/^VERSION = *//'`
+if [ z"$VERSION" = 'z' ]; then
+  echo "Cannot find version"
+  exit 1
+fi
+
+texi2html_tests_name=t2h_tests_results-$VERSION
+tp_tests_name=tp_tests_results-$VERSION
+manuals=t2h_tests_big_manuals-$VERSION
+
+if [ $command = 'pack' ]; then
+  rm -f $texi2html_tests_name.tar.gz $tp_tests_name.tar.gz $manuals.tar.gz
+  (
+  cd ..
+  tar c --exclude-vcs -z -f test/$texi2html_tests_name.tar.gz test/*/res/ 
test/*/res_all/ test/*/res_info/ test/*/res_html/ test/*/res_docbook/ 
test/*/res_xml/ test/many_input_files/*_res/
+  tar c --exclude-vcs -z -f test/$manuals.tar.gz test/manuals/*.texi 
test/tar_manual/*.texi test/singular_manual/*.tex* 
test/singular_manual/d2t_singular/
+  tar c --exclude-vcs -z -f test/$tp_tests_name.tar.gz test/*/res_parser*/
+  )
+elif [ $command = 'get' ]; then :
+  #wget  ??
+elif [ $command = 'unpack' ]; then
+  (
+  cd ..
+  tar x -z -f test/$texi2html_tests_name.tar.gz
+  tar x -z -f test/$manuals.tar.gz
+  tar x -z -f test/$tp_tests_name.tar.gz
+  )
+else
+  echo "Unknown command (pack/unpack/get)"
+  exit 1
+fi
+



reply via email to

[Prev in Thread] Current Thread [Next in Thread]